
# --------------------------------------
#   lcd_16x2_board
#   65f69716bda9b82bcanv
__canvas_id__ = '65f69716bda9b82b'
# __version__ = TODO: add this
# --------------------------------------
def code_block(event, line1_pre, line1_val, line2_pre, line2_val):
  return {"line1": f"{line1_pre}{round(line1_val, 2)}", 
  "line2": f"{line2_pre}{round(line2_val, 2)}"}
  
  
from floe import FP

from GpioLcd import GpioLcd
from CodeBlock import CodeBlock
from DigitalInput import DigitalInput
from DigitalOutput import DigitalOutput
from HbtLed import HbtLed
from CANBus import CANBus
from NeoPixel import NeoPixel
from ESP32Core import ESP32Core
from Variable import Variable
from Zorg import Zorg
def setup(iris):
  CANBus(name="CANBus", pid=6545, rx=16, tx=4, adr=26, bus=0, baud=250000, rx_queue=25, terminal_debug=False, debug=False, active=True, bcast=False, iris=iris)
  CodeBlock(name="code_block", pid=44338, code=code_block, kwargs=[FP(45549), FP(31256), FP(32931), FP(27267)], datatype="None", iris=iris)
  DigitalInput(name="a", pid=29989, pin=39, pullup='None', debounce=200, invert=True, initial_value=False, datatype="bool", debug=False, active=True, bcast=True, iris=iris)
  DigitalInput(name="b", pid=39132, pin=34, pullup='None', debounce=200, invert=True, initial_value=False, datatype="bool", debug=False, active=True, bcast=True, iris=iris)
  DigitalInput(name="down", pid=39697, pin=35, pullup='None', debounce=200, invert=True, initial_value=False, datatype="bool", debug=False, active=True, bcast=True, iris=iris)
  DigitalInput(name="function_button", pid=2276, pin=36, pullup='None', debounce=200, invert=True, initial_value=False, datatype="bool", debug=False, active=True, bcast=True, iris=iris)
  DigitalInput(name="left", pid=12156, pin=26, pullup='pullup', debounce=200, invert=True, initial_value=False, datatype="bool", debug=False, active=True, bcast=True, iris=iris)
  DigitalInput(name="right", pid=30594, pin=32, pullup='pullup', debounce=200, invert=True, initial_value=False, datatype="bool", debug=False, active=True, bcast=True, iris=iris)
  DigitalInput(name="up", pid=10879, pin=15, pullup='pullup', debounce=200, invert=True, initial_value=False, datatype="bool", debug=False, active=True, bcast=True, iris=iris)
  DigitalOutput(name="can_slp", pid=11397, pin=2, invert=False, initial_value=False, datatype="bool", debug=False, active=True, bcast=False, iris=iris)
  ESP32Core(name="ESP32Core", pid=6074, wifi=False, hbt_led=FP(50487), neo_status=FP(47403), function_button=FP(2276), bus=FP(6545), zorg=None, webserver=None, debug=False, active=True, bcast=False, iris=iris)
  GpioLcd(name="GpioLcd", pid=38610, d0_pin=12, d1_pin=13, d2_pin=15, d3_pin=18, d4_pin=19, d5_pin=21, d6_pin=22, d7_pin=23, rs_pin=27, enable_pin=14, num_lines=2, num_columns=16, initial_state=FP(43183), clear=None, datatype="dict", debug=False, active=True, bcast=False, iris=iris)
  HbtLed(name="HbtLed", pid=50487, pin=5, delay=1000, datatype="int", debug=False, active=True, bcast=False, iris=iris)
  NeoPixel(name="neo_status", pid=47403, pin=17, number_of_pixels=1, animation=0, delay=200, animations=None, datatype="rgb", debug=False, active=True, bcast=False, iris=iris)
  Variable(name="line1_pre", pid=45549, state='Temp: ', datatype="string", constant=False, debug=False, active=True, bcast=True, iris=iris)
  Variable(name="line1_val", pid=31256, state=0.0, datatype="float", constant=False, debug=False, active=True, bcast=True, iris=iris)
  Variable(name="line2_pre", pid=32931, state='val: ', datatype="string", constant=False, debug=False, active=True, bcast=True, iris=iris)
  Variable(name="line2_val", pid=27267, state=0.0, datatype="float", constant=False, debug=False, active=True, bcast=True, iris=iris)
  Variable(name="no_name", pid=43183, state={"line1": "16x2 LCD Module", "line2": "   by Evezor"}, datatype="dict", constant=False, debug=False, active=True, bcast=True, iris=iris)
  Zorg(name="Zorg", pid=34757, debug=False, active=True, bcast=False, iris=iris)
  iris.add_hots({"38610": [44338], "44338": [31256, 27267, 32931, 45549]})

